/*
 * jQuery Plugin : jConfirmAction
 * 
 * Original by Hidayat Sagita
 * http://www.webstuffshare.com
 * Licensed Under GPL version 2 license.
 *
 * Initial mods by af123
 * Additional mods by raydon
 */
(function($){
	jQuery.fn.dojConfirmAction = function(options, callback) {
		var options = jQuery.extend ({
			question: "Are You Sure?",
			yesAnswer: "Yes",
			cancelAnswer: "Cancel"
		}, options);

		var obj = $(this);

		if (obj.next('.question').length <= 0)
			obj.after('<div class=question>' +
			    options.question + '<br/>' +
			    '<span class=yes>' + options.yesAnswer +
			    '</span>' +
			    '<span class=cancel>' + options.cancelAnswer +
			    '</span></div>');

		o = obj.next('.question');
		o.animate({opacity: 1}, 300);
		o.find('.yes').on('click', function() {
			o.fadeOut(300, function() { $(this).remove(); });
			disabled.removeClass('ui-state-disabled');
			callback(obj);
		});
		o.find('.cancel').on('click', function() {
			o.fadeOut(300, function() { $(this).remove(); });
			disabled.removeClass('ui-state-disabled');
		});
	}

	jQuery.fn.jConfirmAction = function(options, callback) {
	
	disabled = $(this);

	return this.each(function () {
			$(this).on('click', function(e) {
				e.preventDefault();				
				if (disabled.hasClass('ui-state-disabled')) return;
				disabled.addClass('ui-state-disabled');
				$(this).dojConfirmAction(options, callback);
			});
		});
	};
	
})(jQuery);
